﻿using System;
using System.Collections.Generic;
using System.IdentityModel.Tokens;
using System.Linq;
using System.Security.Claims;
using System.Text;
using System.Threading.Tasks;

namespace Thinktecture.IdentityModel.Oidc
{
    [Serializable]
    public class OpenIdConnectSessionSecurityToken: SessionSecurityToken
    {
        private string session_state;
        private string idToken;
        public OpenIdConnectSessionSecurityToken(ClaimsPrincipal claimsPrincipal):base(claimsPrincipal)
        {
            
        }
        public OpenIdConnectSessionSecurityToken(string ss, string idtoken, ClaimsPrincipal claimsPrincipal)
            : base(claimsPrincipal)
        {
            this.session_state = ss;
            this.idToken = idtoken;
        }
        public string SessionState
        {
            get { return this.session_state; }
            set { this.session_state = value; }
        }
        public string IdToken
        {
            get { return this.idToken; }
            set { this.idToken = value; }
        }
    }
}
